<script>
import Vue from 'vue';
import { SlpColumn } from '../common/index.vue';

export default Vue.extend({
  name: 'FeaturedVideo',
  components: {
    SlpColumn,
  },
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <SlpRow class="slp-mb-64">
    <SlpColumn :cols="1" />
    <SlpColumn class="videoCard" :cols="10">
      <div class="videoCard__toggle">
        <div style="padding: 56.25% 0 0 0; position: relative">
          <iframe
            :src="`https://vimeo.com/event/${data.video.vimeo_id}/embed`"
            frameborder="0"
            allow="autoplay; fullscreen; picture-in-picture"
            allowfullscreen
            style="
              position: absolute;
              top: 0;
              left: 0;
              width: 100%;
              height: 100%;
            "
          >
          </iframe>
        </div>

        <div v-if="data.video.text" class="videoCard__text">
          <div class="videoCard__icon">
            <svg
              width="22"
              height="22"
              fill="none"
              xmlns="http://www.w3.org/2000/svg"
            >
              <path
                d="M11.211 19.263a35.323 35.323 0 01-8.905-1.122A3.08 3.08 0 010 15.154V6.82a3.08 3.08 0 012.297-2.983.88.88 0 11.44 1.698A1.32 1.32 0 001.76 6.82v8.333a1.32 1.32 0 00.99 1.285 32.384 32.384 0 0016.425.066l.084-.026a1.32 1.32 0 00.981-1.285v-8.36a1.32 1.32 0 00-.981-1.285 32.53 32.53 0 00-13.68-.603.89.89 0 11-.299-1.755 34.183 34.183 0 0114.423.633A3.08 3.08 0 0122 6.811v8.382a3.08 3.08 0 01-2.297 2.988c-1.263.488-4.453.88-5.108.946-.955.07-2.103.136-3.384.136z"
              />
              <path
                d="M8.99 15.677a.88.88 0 01-.88-.88v-7.59a.88.88 0 011.372-.73l5.645 3.797a.88.88 0 010 1.46l-5.645 3.793a.88.88 0 01-.493.15zm.88-6.816v4.286L13.06 11 9.87 8.86z"
              />
            </svg>
          </div>
          <p v-if="data.video.subheader">{{ data.video.subheader }}</p>
          <div class="text" v-html="$md.render(data.video.text)"></div>
        </div>
      </div>
    </SlpColumn>
  </SlpRow>
</template>

<style lang="scss" scoped>
.videoCard {
  align-self: stretch;
  background: #fff;
  color: #333;
  position: relative;
  text-align: left;
  transition: all 0.3s ease-in-out;
  border: 1px solid #f2f2f2;
  border-radius: 6px;
  --tw-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),
    0 4px 6px -2px rgba(0, 0, 0, 0.05) !important;
  box-shadow: var(--tw-ring-offset-shadow, 0 0 transparent),
    var(--tw-ring-shadow, 0 0 transparent), var(--tw-shadow) !important;

  iframe {
    width: 100%;
  }
}

.videoCard__toggle {
  border: none;
  display: flex;
  flex-direction: column;
  height: 100%;
  padding: 0;
  text-align: left;
  width: 100%;
  z-index: 10;
}

.videoCard__video {
  border: 1px solid #f2f2f2;
  border-radius: 0.375rem 0.375rem 0 0;
}

.videoCard__text {
  align-self: stretch;
  flex: 1;
  padding-left: 3.2rem !important;
  padding-right: 3.2rem !important;
  padding-top: 2.4rem !important;
  padding-bottom: 2.4rem !important;
  position: relative;

  .text {
    color: #333;
    font-size: 23px;
    font-weight: 400;
    line-height: 1.25;
  }
}

.videoCard__icon {
  background: #f2f2f2;
  border-radius: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  left: 0;
  padding: 10px;
  position: absolute;
  top: 0;
  transform: translate(32px, -50%);

  svg {
    fill: #7d2bd9;
    stroke: #7d2bd9;
    stroke-width: 0.5px;
  }
}

p {
  color: #333;
  font-size: 10px;
  font-weight: 400;
  letter-spacing: 0.1em;
  line-height: 2;
  text-transform: uppercase;

  @media (min-width: $breakpoint-lg) {
    margin-bottom: 10px;
  }
}

h3 {
  color: #333;
  font-size: 23px;
  font-weight: 400;
  line-height: 1.25;
}
</style>
